WriteBufferedSynchChannel (ActiveIO 1.0 API)
Keywords: org.activeio.filter.WriteBufferedSynchChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.filter
Class WriteBufferedSynchChannel

    java.lang.Object
      org.activeio.FilterSynchChannel
          org.activeio.filter.WriteBufferedSynchChannel

All Implemented Interfaces:
  Channel, Disposable, InputSynchChannel, OutputChannel, Service, SynchChannel

public class WriteBufferedSynchChannel
extends FilterSynchChannel

Field Summary

Fields inherited from interface org.activeio.Service
`NO_WAIT_TIMEOUT, WAIT_FOREVER_TIMEOUT`

Constructor Summary
`WriteBufferedSynchChannel(SynchChannel channel)`
`WriteBufferedSynchChannel(SynchChannel channel, Packet buffer)`
`WriteBufferedSynchChannel(SynchChannel channel, Packet buffer, boolean enableDirectWrites)`

Method Summary
`void` | `flush()` Some channels may buffer data which may be sent down if flush() is called.
`void` | `write(Packet packet)` Sends a packet down the channel towards the media.

Methods inherited from class org.activeio.FilterSynchChannel
`dispose, getNext, narrow, read, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriteBufferedSynchChannel

    public WriteBufferedSynchChannel(SynchChannel channel)

### WriteBufferedSynchChannel

    public WriteBufferedSynchChannel(SynchChannel channel,
                                     Packet buffer)

### WriteBufferedSynchChannel

    public WriteBufferedSynchChannel(SynchChannel channel,
                                     Packet buffer,
                                     boolean enableDirectWrites)

Method Detail

### write

    public void write(Packet packet)
               throws java.io.IOException

  Description copied from interface: `OutputChannel`
  Sends a packet down the channel towards the media.

  Specified by:
    `write` in interface `OutputChannel`
  Overrides:
    `write` in class `FilterSynchChannel`
  Throws:
    `java.io.IOException`
  See Also:
    `org.activeio.Channel#write(org.activeio.channel.Packet)`

### flush

    public void flush()
               throws java.io.IOException

  Description copied from interface: `OutputChannel`
  Some channels may buffer data which may be sent down if flush() is called.

  Specified by:
    `flush` in interface `OutputChannel`
  Overrides:
    `flush` in class `FilterSynchChannel`
  Throws:
    `java.io.IOException`
  See Also:
    `org.activeio.Channel#flush()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.